Skip to main content
GET
/
api
/
v1
/
budget
List Budgets
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/budget
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "budgetType": "<string>",
      "amount": 123,
      "utilizedAmount": 123,
      "code": "<string>",
      "salesOrderId": "<string>",
      "managementAccountId": "<string>",
      "periodStart": "<string>",
      "periodEnd": "<string>",
      "refreshFrequency": "<string>",
      "status": "<string>",
      "notes": "<string>",
      "createdAt": "<string>",
      "totalAmount": 123
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100
status
string | null
search
string | null
sort
string
default:-created_at

Response

Successful Response

data
BudgetResponse · object[]
required
pagination
PaginationInfo · object
required